module FranPrim (
 module FranPrim,
 module BPrim,
 module Event,
 module WorkPool,
 module FranTime,
 module BaseTypes,
 module Behavior,
 switcherB,stepper,stepAccum,onceE,
 module Remover
 ) 
where
import Delayed
import BPrim
import Event
import WorkPool
import FranTime
import BaseTypes
import Behavior
import Remover
import EventPrim (tellTick)

franInit :: IO ()
franInit = do 
 {delayInit; clearWorkPools; resetFranTime 0} 


runFranOnce :: Time -> IO Int
runFranOnce t = do
 tellTick t
 runWorkPools t

